# fortios_firewall_ssh_setting – SSH proxy settings in Fortinet’s FortiOS and FortiGate

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify firewall_ssh feature and setting category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
firewall_ssh_setting dictionary | Default: null | SSH proxy settings.
| caname string |  | CA certificate used by SSH Inspection. Source firewall.ssh.local-ca.name.

host_trusted_checking
string

Choices:
- enable
- disable

Enable/disable host trusted checking.

| hostkey_dsa1024 string |  | DSA certificate used by SSH proxy. Source firewall.ssh.local-key.name.
| hostkey_ecdsa256 string |  | ECDSA nid256 certificate used by SSH proxy. Source firewall.ssh.local-key.name.
| hostkey_ecdsa384 string |  | ECDSA nid384 certificate used by SSH proxy. Source firewall.ssh.local-key.name.
| hostkey_ecdsa521 string |  | ECDSA nid384 certificate used by SSH proxy. Source firewall.ssh.local-key.name.
| hostkey_ed25519 string |  | ED25519 hostkey used by SSH proxy. Source firewall.ssh.local-key.name.
| hostkey_rsa2048 string |  | RSA certificate used by SSH proxy. Source firewall.ssh.local-key.name.
| untrusted_caname string |  | Untrusted CA certificate used by SSH Inspection. Source firewall.ssh.local-ca.name.
host string |  | FortiOS or FortiGate IP address.

https
boolean

Choices:
- no
- yes ←

Indicates if the requests towards FortiGate must use HTTPS protocol.

password string | Default: "" | FortiOS or FortiGate password.

ssl_verify
boolean
added in 2.9

Choices:
- no
- yes ←

Ensures FortiGate certificate must be verified by a proper CA.

username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.

## Notes

Note

- Requires fortiosapi library developed by Fortinet
- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: SSH proxy settings.
        fortios_firewall_ssh_setting:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          firewall_ssh_setting:
            caname: "<your_own_value> (source firewall.ssh.local-ca.name)"
            host_trusted_checking: "enable"
            hostkey_dsa1024: "myhostname (source firewall.ssh.local-key.name)"
            hostkey_ecdsa256: "myhostname (source firewall.ssh.local-key.name)"
            hostkey_ecdsa384: "myhostname (source firewall.ssh.local-key.name)"
            hostkey_ecdsa521: "myhostname (source firewall.ssh.local-key.name)"
            hostkey_ed25519: "myhostname (source firewall.ssh.local-key.name)"
            hostkey_rsa2048: "myhostname (source firewall.ssh.local-key.name)"
            untrusted_caname: "<your_own_value> (source firewall.ssh.local-ca.name)"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)
- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.